2102: Accept terms
Accept a set of terms for an entity
| Endpoint ID: | 2102 | |||||||||||||||||||
| Method: | POST | |||||||||||||||||||
| URL: | /permissions/entity/id/{entityID}/terms/{termsID} /permissions/entity/ext-key/{ext-key}/{ext-type}/terms/{termsID} | |||||||||||||||||||
entityID | dialogportal™ master key that uniquely identifies the entity | |||||||||||||||||||
| ext-key | External key that uniquely identifies the entity | |||||||||||||||||||
| ext-type | Type of external key | |||||||||||||||||||
| termsID | A GUID string identifier for the terms | |||||||||||||||||||
Request body: | JSON data describing the terms acceptance
{
"sourceID": "26f2da92-c9ca-4a82-90f0-8a8a43534239",
"termsVersion": "1.3",
"consents": [ "5d9d6071-2158-40f4-b1b7-c101bffc518e" ],
"data": {
"resellerID": 123456,
"resellerName": "Jane Doe"
}
}
| |||||||||||||||||||
| Response body: | {
"isActive": true,
"isWithdrawn": false,
"terms": {
"id": "1f788c79-7dde-407f-a976-6b08ffb4c75a",
"version": "1.3",
"isMostRecentVersion": true
},
"acceptance": {
"timestamp": "utc timestamp",
"sourceID": "26f2da92-c9ca-4a82-90f0-8a8a43534239"
}
}
| |||||||||||||||||||
| Status codes: | 201 | Terms were accepted | ||||||||||||||||||
| 303 | These terms have already been accepted by this entity | |||||||||||||||||||
| 400 | Terms could not be accepted, due to an invalid version or sourceID. The following subcodes may be returned:
| |||||||||||||||||||
| 404 | The entity or terms were not found. The following subcodes may be returned:
| |||||||||||||||||||
| 412 | The contract or terms do not allow access:
| |||||||||||||||||||